
public class GraphicMultiPlatform
{
    Character c;
    private boolean[] operationsdone;
    
    public GraphicMultiPlatform(Character a)
    {
        c=a;
        operationsdone = new boolean[12];
    }
    
    public void load3dmeshesintogpu(){operationsdone[0]=true;}
    public void load3dmeshesintocpu(){operationsdone[1]=true; c.getImage().pixelate(2);}
    public void load2dsprite(){operationsdone[2]=true; c.getImage().pixelate(8);}
    public void load32bitstextures(){operationsdone[3]=true;}
    public void load16bitstextures(){operationsdone[4]=true; c.getImage().fourbitscolor();}
    public void loadbwtextures(){operationsdone[5]=true;c.getImage().blackandwhite();}
    public void load3denvironments(){operationsdone[6]=true;}
    public void load2denvironments(){operationsdone[7]=true;}
    public void loadsound(){operationsdone[8]=true;}
    public void loadsurroundsound(){operationsdone[9]=true;}
    public void checkonlineupdates(){operationsdone[10]=true;}
    public void checkgameisoriginal(){operationsdone[11]=true;}
    
    public void display()
    {
        if( operationsdone[0] && !operationsdone[1] && !operationsdone[2] && operationsdone[3] && 
            !operationsdone[4] && !operationsdone[5] && operationsdone[6] && !operationsdone[7] &&
            !operationsdone[8] && operationsdone[9] && operationsdone[10] && operationsdone[11])
        {
            c.getImage().display();
            System.out.println("Load PC graphics ok");
        }
        else if(    !operationsdone[0] && operationsdone[1] && !operationsdone[2] && !operationsdone[3] && 
                    operationsdone[4] && !operationsdone[5] && operationsdone[6] && !operationsdone[7] &&
                    operationsdone[8] && !operationsdone[9] && operationsdone[10] && operationsdone[11])
        {
            c.getImage().display();
            System.out.println("Load IPhone graphics ok");
        }
        else if(    !operationsdone[0] && !operationsdone[1] && operationsdone[2] && !operationsdone[3] && 
                    !operationsdone[4] && operationsdone[5] && !operationsdone[6] && operationsdone[7] &&
                    operationsdone[8] && !operationsdone[9] && !operationsdone[10] && operationsdone[11])
        {
            c.getImage().display();
            System.out.println("Load Gameboy graphics ok");
        }
        else
        {
            MyImage err = new MyImage("img/error.jpg");
            err.display();
            System.out.println("Error loading graphics");
        }
    }
}
